cURL
curl --request PATCH \
--url https://api-alpha.fourvenues.com/integrations/bookings/{bookingId}/space \
--header 'Content-Type: application/json' \
--header 'integration_id: <api-key>' \
--header 'secret: <api-key>' \
--header 'x-api-key: <api-key>' \
--data '
{
"space_names": "1, 2, 3"
}
'import requests
url = "https://api-alpha.fourvenues.com/integrations/bookings/{bookingId}/space"
payload = { "space_names": "1, 2, 3" }
headers = {
"integration_id": "<api-key>",
"secret": "<api-key>",
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
integration_id: '<api-key>',
secret: '<api-key>',
'x-api-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({space_names: '1, 2, 3'})
};
fetch('https://api-alpha.fourvenues.com/integrations/bookings/{bookingId}/space', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}Bookings
Patch booking space
Update the space of a booking.
PATCH
/
bookings
/
{bookingId}
/
space
cURL
Authorizations
Identifier of the integration (Auth v1)
Secret of the organization (Auth v1)
API key (Auth v2)
Path Parameters
Id of the booking
Body
application/json
Body of the request
Space names for the reservation. Separated by commas.
Example:
"1, 2, 3"
Response
HTTP OK
Example:
true
⌘I